Determines whether the map contains a given value

- « Ds\Map::hasKey

- Ds\Map::intersect »

- PHP Manual
- Ds\Map
- Determines whether the map contains a given value

# Ds\Map::hasValue

(PECL ds >= 1.0.0)

Ds\Map::hasValue — Determines whether the map contains a given value

### Description

public Ds\Map::hasValue(mixed `$value`): bool

Determines whether the map contains a given value.

### Parameters

`value`

  The value to look for.

### Return Values

Returns `true` if the value could found, `false` otherwise.

### Examples

Example #1 Ds\Map::hasValue() example

    <?php$map = new \Ds\Map(["a" => 1, "b" => 2, "c" => 3]);var_dump($map->hasValue(1)); // truevar_dump($map->hasValue(4)); // false?>

The above example will output something similar to:

    bool(true)
    bool(false)